io.undertow.server

## Class ListenerRegistry.HttpUpgradeMetadata

- java.lang.Object
- - io.undertow.server.ListenerRegistry.HttpUpgradeMetadata

Enclosing class:
  ListenerRegistry

    public static final class ListenerRegistry.HttpUpgradeMetadata
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HttpUpgradeMetadata(String protocol, String subProtocol)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getContextInformation(String key)`
`Collection<String>` `getContextKeys()`
`String` `getProtocol()`
`String` `getSubProtocol()`
`Object` `removeContextInformation(String key)`
`Object` `setContextInformation(String key, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpUpgradeMetadata

    public HttpUpgradeMetadata(String protocol,
                               String subProtocol)

### Method Detail

#### getProtocol

    public String getProtocol()

#### getSubProtocol

    public String getSubProtocol()

#### getContextKeys

    public Collection<String> getContextKeys()

#### removeContextInformation

    public Object removeContextInformation(String key)

#### setContextInformation

    public Object setContextInformation(String key,
                                        Object value)

#### getContextInformation

    public Object getContextInformation(String key)